//*************************************************************
//システム名     コア物品／発注者
//サブシステム名 発注者
/**
 * 調達案件情報登録機能
 * @author NEC
 * @version 1.0, 2002.09.18, 新規作成
 */
//*************************************************************

/*-------------------------------------------------------------
 * HTML読込時
 --------------------------------------------------------------*/
function onStart()
{

  onLoad();

}// onStart

/*-------------------------------------------------------------
 * 案件情報登録確認画面表示処理
 --------------------------------------------------------------*/
function moveProjectInfConfirmView()
{
  // 等級を送信用フォームにセット
  var value="";
  var areaSum="";

  with( document.formRegist )
  {
    value+=( classificationA.checked ) ? "1" : "0" ;
    value+=( classificationB.checked ) ? "1" : "0" ;
    value+=( classificationC.checked ) ? "1" : "0" ;
    value+=( classificationD.checked ) ? "1" : "0" ;
    value+="0";

    classification.value=value;

    // 総合評価計算式
    if( typeof(calcType)!=typeof(undefined) )
    {
      var id_no=calcType.value.split(",");

      calcTypeID.value=id_no[0];
      calcTypeNumber.value=id_no[1];
    }

    // 証明書等締切予定日時
    if( typeof(certificateAcceptEndTime)!=typeof(undefined) )
    {
      certificateAcceptEndTime.value=certificateAcceptEndTime1.value+" "+certificateAcceptEndTime2.value;
    }

    // 入札締切予定日時
    tenderAcceptEndTime.value=tenderAcceptEndTime1.value+" "+tenderAcceptEndTime2.value;

    // 開札予定日時
    tenderPreExecuteTime.value=tenderPreExecuteTime1.value+" "+tenderPreExecuteTime2.value;
    
    // 地域区分項目編集（BITのORをとる）
    var i=areaNumbers.length - 1;
    for( ; i>=0 ; i-- )
    {
      if( areaNumbers[i].checked )
        areaSum = areaSum + "1";
      else
        areaSum = areaSum + "0";
    }
    areaNumber.value=areaSum;
  }

  // 画面遷移処理
  dispatch( document.formRegist, 'H506HPR003' );

}//moveProjectInfConfirmView


/*-------------------------------------------------------------
 * 戻るボタン押下時
 --------------------------------------------------------------*/
function backBeforeScreen()
{
  // 画面遷移処理
  dispatch( document.formRegist, 'H506HPR001' );

}//backBeforeScreen
